@echo off

setlocal enabledelayedexpansion
set _LOC_SRC_DIR=%TEMP%

set TIM_FULL=%time: =0%

set FILE_LOG=FixResult-%DATE:~-4%-%DATE:~4,2%-%DATE:~7,2%_%TIM_FULL:~0,2%%TIM_FULL:~3,2%%TIM_FULL:~6,2%.log

@echo on
@call %~d0%~p0\correct_inner.bat > "%_LOC_SRC_DIR%\%FILE_LOG%"

@echo off
REM after that, we need to move the log file to USB if user runs from Windows PE
set diskpart_cmd_file=%TEMP%\diskpart_1.scr
set diskpart_out_file=%TEMP%\diskpart_out.txt
set FINAL_TARGET=
if /I %windir%==X:\Windows (
	echo. > %diskpart_cmd_file%
	echo list volume >> %diskpart_cmd_file%
	echo exit >> %diskpart_cmd_file%
	call diskpart < %diskpart_cmd_file% > %diskpart_out_file%

	for /F "tokens=1-6" %%a in ('type %diskpart_out_file% ^| find "Removable"') do (
		if exist %%c:\FIX_NVR (
			set FINAL_TARGET=%%c:\FIX_NVR\log
			if NOT exist !FINAL_TARGET! mkdir !FINAL_TARGET! > nul 2>&1
			copy /y "%_LOC_SRC_DIR%\%FILE_LOG%" "!FINAL_TARGET!\%FILE_LOG%" > nul 2>&1
			if exist "!FINAL_TARGET!\%FILE_LOG%" del /f/q "%_LOC_SRC_DIR%\%FILE_LOG%"
			set _LOC_SRC_DIR=!FINAL_TARGET!
			goto :_End_Copy
		)
	)
	
	for /F "tokens=1-6" %%a in ('type %diskpart_out_file% ^| find "CD-ROM"') do (
		if exist %%c:\FIX_NVR (
			set FINAL_TARGET=c:\log
			if NOT exist !FINAL_TARGET! mkdir !FINAL_TARGET! > nul 2>&1
			copy /y "%_LOC_SRC_DIR%\%FILE_LOG%" "!FINAL_TARGET!\%FILE_LOG%" > nul 2>&1
			if exist "!FINAL_TARGET!\%FILE_LOG%" del /f/q "%_LOC_SRC_DIR%\%FILE_LOG%"
			set _LOC_SRC_DIR=!FINAL_TARGET!
			goto :_End_Copy
		)
	)
	
)

:_End_Copy

echo.
echo The log file %FILE_LOG% is under %_LOC_SRC_DIR%
echo.

PAUSE
goto :eof